Type to search.

Search tags

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.5 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Returns a paginated list of tags matching the optional query text.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

query string · max length: 2048

Filters results by name and description using Elasticsearch simple_query_string syntax. Multi-word terms require all words to match.

page number · min: 1 · default: 1

The page of results to return.

per_page number · min: 1 · max: 1000 · default: 20

The number of results to return per page.

Responses

success

application/json
data object[] · min items: 0 · max items: 1000 required

List of tags matching the query.

data object required
color string · min length: 1 · max length: 256 required

The tag color as a hex value (e.g. #772299). If omitted, a random color is generated.

description string · max length: 2048

Optional description of the tag.

name string · min length: 1 · max length: 256 required

The display name of the tag.

id string required

The tag ID.

meta object required
created_at string

Timestamp when the object was created (ISO 8601).

created_by string

User profile ID of the user who created the object.

managed boolean

When true, the object is managed by Kibana and cannot be edited by users.

owner string

Identifier of the plugin or team that owns this object.

updated_at string

Timestamp when the object was last updated (ISO 8601).

updated_by string

User profile ID of the user who last updated the object.

version string

Internal version identifier for optimistic concurrency control.

meta object required
page number · min: 1 · default: 1

The returned page of results.

per_page number · min: 1 · max: 1000 · default: 20

The number of results returned per page.

total number required

The total number of results matching the query.

403

forbidden